# Source Generated with Decompyle++
# File: in.pyo (Python 2.5)

import base64
import dns.name as dns

def from_text(textring):
    keyring = { }
    for keytext in textring:
        keyname = dns.name.from_text(keytext)
        secret = base64.decodestring(textring[keytext])
        keyring[keyname] = secret
    
    return keyring


def to_text(keyring):
    textring = { }
    for keyname in keyring:
        keytext = dns.name.to_text(keyname)
        secret = base64.encodestring(keyring[keyname])
        textring[keytext] = secret
    
    return textring

